Skip to navigation

Get SqlDashboard by ID

Beta
Get a single SqlDashboard by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sql_dashboard_idstringRequired
ID of the SqlDashboard.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
blocksstringOptionalformat: "uri"
createdAtstringOptional
creatorobjectOptional
descriptionstringOptional
idstringOptional
modifiedAtstringOptional
namestringOptional
projectobjectOptional

Errors

400
SQL Dashboard Get Request Bad Request Error
403
SQL Dashboard Get Request Forbidden Error
404
SQL Dashboard Get Request Not Found Error
429
SQL Dashboard Get Request Too Many Requests Error
500
SQL Dashboard Get Request Internal Server Error